<template>
 <div >
     <search-bar></search-bar>
     <table class="table table-striped- table-bordered table-hover table-checkable" id="m_table_1">
       <thead class="thead-custome">
            <tr>
               <th>{{$t('global.no')}}</th>
               <th>{{$t('end_item.code')}}</th>
               <th>{{$t('end_item_details.code')}}</th>
               <th>{{$t('vendor.name_dr')}}</th>
               <th>{{$t('end_item_details.name_dr')}}</th>
               <th>{{$t('end_item_details.name_pa')}}</th>
               <th>{{$t('end_item_details.name_en')}}</th>
               <th>{{$t('global.opreation')}}</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) in main_data" :key="item.id" :id="item.id">
                <td>{{index+=1}}</td>
                <td>{{item.end_item.end_item_code}}</td>
                <td>{{item.item_details_code}}</td>
                <td>{{item.vendor.name_dr}}</td>
                <td>{{item.end_item_details_en}}</td>
                <td>{{item.end_item_details_dr}}</td>
                <td>{{item.end_item_details_pa}}</td>
                <td>
                    <router-link :to="'/end_item_details/edit/'+item.id">
                        <i class="fa fa-edit"></i>
                    </router-link>
                    <div class="badge delete" @click="deletData(item.id)">
                        <i class="fa fa-trash"></i>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</template>
<script>
    import SearchBar from '../table_component/SearchBare.vue';
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        mixins: [SubmitForm],
        name: 'EndItemIndex',
        components: {
            'search-bar': SearchBar
        },
        data() {
            return {
                'url': 'api/end_item_details'
            }
        },
        created(){
            this.getData();
        }
    }
</script>
